/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/


/****************************************************************
 
-------------------------- GENERAL ------------------------------
 
****************************************************************/ 



/* -- ***** Anti alias all the text 
 ---------------------------------------------------------------*/ 


* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}



/****************************************************************
 
----------------------------- HEADER ----------------------------
 
***************************************************************/  




/* -- ***** Mobile Menu
 ---------------------------------------------------------------*/ 



/* Hide the default Elementor mobile menu */
.elementor-nav-menu--dropdown {
    display: none !important;
}



/****************************************************************
 
----------------------------- FOOTER ----------------------------
 
***************************************************************/  

/* -- ***** CF7
 ---------------------------------------------------------------*/ 


.footer-cf-container {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	margin-right: -5px;
	margin-left: -5px;
}
.cf-col-1, .cf-col-2, .cf-col-3, .cf-col-4, .cf-col-5, .cf-col-6, .cf-col-7, .cf-col-8, .cf-col-9, .cf-col-10, .cf-col-11, .cf-col-12 {
	position: relative;
	width: 100%;
	min-height: 1px;
	padding-right: 5px;
	padding-left: 5px;
}


.footer-cf-container input.free-input,
.footer-cf-container textarea {
    background: rgba(255, 255, 255, 1);
    border: none;
    border-radius: 15px;
    -moz-border-radius: 15px;
    -webkit-border-radius: 15px;
    margin-bottom: 10px;
}


/*
.footer-cf-container input.free-input.wpcf7-not-valid {
    margin-bottom: 0;
}*/


.footer-cf-container textarea::-webkit-input-placeholder,
.footer-cf-container input.free-input::-webkit-input-placeholder {
  font-family: "PolinSans", Sans-serif;
  font-size: 15px;
  color: #1D252D;
}

.footer-cf-container textarea::-moz-placeholder,
.footer-cf-container input.free-input::-moz-placeholder {
  font-family: "PolinSans", Sans-serif;
  font-size: 15px;  
  color: #1D252D;
}

.footer-cf-container textarea::-moz-placeholder,
.footer-cf-container input.free-input::-moz-placeholder {
  font-family: "PolinSans", Sans-serif;
  font-size: 15px;
  color: #1D252D;
}


.footer-cf-container textarea::-ms-input-placeholder,
.footer-cf-container input.free-input::-ms-input-placeholder {
  font-family: "PolinSans", Sans-serif;
  font-size: 15px;  
  color: #1D252D;
}

.footer-cf-container textarea::placeholder,
.footer-cf-container input.free-input::placeholder {
  font-family: "PolinSans", Sans-serif;
  font-size: 15px;  
  color: #1D252D;
}



.footer-cf-container textarea.message {
  font-family: "PolinSans", Sans-serif;
  font-size: 15px;
  resize: none;
  height: 140px;
}


.footer-cf-container .wpcf7-form-control-wrap[data-name="newsletter"] .wpcf7-list-item.first.last {
    margin-left: 0;
}


/* Container for the checkbox and label */
.footer-cf-container .wpcf7-form-control-wrap[data-name="newsletter"] {
  display: flex;
  align-items: center;
  padding: 10px;
  border-radius: 4px;
  
  margin-top: -7px;
  position: relative;
  left: -9px;
}

/* Style for the checkbox */
.footer-cf-container .wpcf7-form-control-wrap[data-name="newsletter"] input[type="checkbox"] {
  width: 25px;
  height: 25px;
  margin-right: 10px;
  appearance: none;
  background-color: #fff;
  /*border: 2px solid #ccc;*/
  border-radius: 50%;
  outline: none;
  cursor: pointer;
  display: inline-block;
  position: relative;
}

.footer-cf-container .wpcf7-form-control-wrap[data-name="newsletter"] input[type="checkbox"]:checked::before {
  content: "";
  display: block;
  width: 12px;
  height: 12px;
  background-color: #1D252D;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* Style for the label */
.footer-cf-container .wpcf7-form-control-wrap[data-name="newsletter"] .wpcf7-list-item-label {
  color: #1D252D;
  font-family: "PolinSans", Sans-serif;
  font-size: 16px; /* Adjust the font size as needed */
  vertical-align: super;
}


.footer-cf-container .submit-container {
    position: relative;
    text-align: right;
}


.footer-cf-container .submit-container .wpcf7-spinner {
    position: absolute;
    left: -13px;
    top: 7px;
}


.footer-cf-container .submit-container p {
    margin-bottom: 0;
}

 
.footer-cf-container input[type="submit"].btn-send {
    border:none;
    font-family: "PolinSans", Sans-serif;
    background-color: var(--e-global-color-primary );
    color: #fff;
    border-radius: 28px;
    padding: 7px 55px;  
    width: 100%;  
}



.footer-container .wpcf7 form.invalid .wpcf7-response-output {
    border-color: #ffb900;
    background: #ffb900;
    text-align: center;
    padding: 13px;
    border-radius: 11px;
    font-weight: bold;
}


.wpcf7 form.sent .wpcf7-response-output {
    
    border-color: #46b450;
    background: #46b450;
    text-align: center;
    padding: 13px;
    border-radius: 11px;
    font-weight: bold;
    
}


.btn-col,
.chk-col {
    float: left;
}

.footer-cf-container .cf-col-6.last p {
    margin-bottom: 0;
}


@media ( min-width: 767px ) {
    
	.cf-col-1 {
		-ms-flex: 0 0 8.333333%;
		flex: 0 0 8.333333%;
		max-width: 8.333333%;
	}
	.cf-push-1 { margin-left: 8.333333%; }
	.cf-col-2 {
		-ms-flex: 0 0 16.66667%;
		flex: 0 0 16.66667%;
		max-width: 16.66667%;
	}
	.cf-push-2 { margin-left: 16.66667%; }
	.cf-col-3 {
		-ms-flex: 0 0 25%;
		flex: 0 0 25%;
		max-width: 25%;
	}
	.cf-push-3 { margin-left: 25%; }
	.cf-col-4 {
		-ms-flex: 0 0 33.33333%;
		flex: 0 0 33.33333%;
		max-width: 33.33333%;
	}
	.cf-push-4 { margin-left: 33.33333%; }
	.cf-col-5 {
		-ms-flex: 0 0 41.66667%;
		flex: 0 0 41.66667%;
		max-width: 41.66667%;
	}
	.cf-push-5 { margin-left: 41.66667%; }
	.cf-col-6 {
		-ms-flex: 0 0 50%;
		flex: 0 0 50%;
		max-width: 50%;
	}
	.cf-push-6 { margin-left: 50%; }
	.cf-col-7 {
		-ms-flex: 0 0 58.33333%;
		flex: 0 0 58.33333%;
		max-width: 58.33333%;
	}
	.cf-push-7 { margin-left: 58.33333%; }
	.cf-col-8 {
		-ms-flex: 0 0 66.66667%;
		flex: 0 0 66.66667%;
		max-width: 66.66667%;
	}
	.cf-push-8 { margin-left: 66.66667%; }
	.cf-col-9 {
		-ms-flex: 0 0 75%;
		flex: 0 0 75%;
		max-width: 75%;
	}
	.cf-push-9 { margin-left: 75%; }
	.cf-col-10 {
		-ms-flex: 0 0 83.33333%;
		flex: 0 0 83.33333%;
		max-width: 83.33333%;
	}
	.cf-push-10 { margin-left: 83.33333%; }
	.cf-col-11 {
		-ms-flex: 0 0 91.66667%;
		flex: 0 0 91.66667%;
		max-width: 91.66667%;
	}
	.cf-push-11 { margin-left: 91.66667%; }
	.cf-col-12 {
		-ms-flex: 0 0 100%;
		flex: 0 0 100%;
		max-width: 100%;
	}
    
    


} /* MIN 767 */


@media (min-width: 1025px) and (max-width: 1230px) {
	
  .footer-contact-list .elementor-icon-list-text,
  .footer-social-icons elementor-icon-list-text {
	font-size: 1vw !important; 
	}

}


@media ( max-width: 767px ) {
    
    
    /*
    .footer-cf-container .submit-container {
      
        position: relative;
        bottom: -206px;
    }  
    
    .footer-cf-container .cf-col-6.last {
        position: relative;
        top: -52px;
    }*/
    
    
    .wpcf7-form-control-wrap[data-name="newsletter"] label {
        display: flex;
        align-items: center;
    }
    
    .wpcf7-form-control-wrap[data-name="newsletter"] input[type="checkbox"] {
        margin-right: 10px;
        min-width: 25px;
        min-height: 23px;
    }
    
    .footer-cf-container .wpcf7-form-control-wrap[data-name="newsletter"] .wpcf7-list-item-label {
        font-size: 13px;
        line-height: 1.4em;
    }
    
    
    .footer-cf-container .submit-container .wpcf7-spinner {
        position: absolute;
        left: -17px;
        top: 52%;
    }
    
    .btn-col {
        float: none;
        clear: both;
    }
        
    .footer-cf-container .submit-container {
        text-align: center;
    } 
    
    .footer-cf-container input[type="submit"].btn-send {
        width: 100%;
        text-align: center;
        margin-top: 25px;
    }
    
} /* max width 767 */



/* Footer -> Icon */

@media ( max-width: 767px ) {
    
    .footer-contact-list ul {
        display: block !important;
    }
    
    .footer-contact-list ul li {
        margin-bottom: 15px !important;
    }
    
    .footer-contact-list ul li:last-child { 
        margin-bottom: 0 !important;
    }

} /* 767 */








/********************************************************
 
--------------------- Tech Page ------------------------
 
*********************************************************/  


.scrollable-container {
    height: 400px;
    overflow-y: auto;
    direction: rtl;
    padding-right: 12px;
    position: relative;
    scrollbar-width: thin;
    scrollbar-color: #FF6D2D #6A7073;
}

.scrollable-container::-webkit-scrollbar {
    width: 4px;
}

.scrollable-container::-webkit-scrollbar-track {
    background: #6A7073;
}

.scrollable-container::-webkit-scrollbar-thumb {
    background-color: #FF6D2D;
}

.scrollable-content {
    color: #FFF;
    font-family: "PolinSans", Sans-serif;
    font-size: 20px;
    direction: ltr;
    padding-left: 20px;
}

.scrollable-section {
    margin-bottom: 50px;
}

.scrollable-content__title {
    color: #FF6D2D;
    font-size: 34px;
    font-weight: 500;
    line-height: 1.1em;
    display: flex;
    align-items: flex-start;
}

.scrollable-content__title:before {
    content: '';
    display: inline-block;
    width: 26px;
    height: 26px;
    background: #FF6D2D;
    border-radius: 50%;
    margin-right: 10px;
    margin-top: 5px;
    flex-shrink: 0;
}

.scrollable-content__text {
    display: flex;
    align-items: center;
    margin: 10px 0 35px;
}

.scrollable-content__text:before {
    content: '';
    display: inline-block;
    width: 26px;
    height: 26px;
    margin-right: 10px;
    flex-shrink: 0;
}

.scrollable-content__text p {
    margin: 0;
    line-height: 1.5;
}

.fade-effect {
    position: sticky;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 220px;
    background: linear-gradient(to top, #1d252d, transparent);
    pointer-events: none;
}



.hotspot {
    position: absolute;
    cursor: pointer;
    background: #FF6D2D;
    width: 1.5vw;
    height: 1.5vw;
    border-radius: 50%;
    opacity: 0.45;
}


.hotspot.active {
    opacity: 1;
}

.hotspot.active::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 300%;
    height: 300%;
    margin-left: -150%;
    margin-top: -150%;
    background-color: #FF6D2D;
    border-radius: 50%;
    animation: pulse-ring 1.6s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
   
}


@media (max-width: 767px) { 
    
    .scrollable-container {
        height: 235px;
    }
    
    .scrollable-content__title {
        font-size: 19px;
    }
    
    
    .scrollable-content__title:before {
        width: 15px;
        height: 15px;
        margin-right: 10px;
        margin-top: 3px;
    }
    
    .scrollable-content__text:before {
        width: 15px;
        height: 15px;
    }
    
    .scrollable-content__text {
        font-size: 15px;
    }
    
    .scrollable-content__text br {
        display: none;
    }
    
    .hotspot {
        width: 4vw;
        height: 4vw;
    }
    
    .fade-effect {
        bottom: -3px;
        height: 200px;
    }
    
    
} /* 767 */



/****************************************************
--------------------- Posts ------------------------
*****************************************************/  

.single-post  .footer__contact-form_text-col,
.single-post  .footer__contact-form_form-col {
	display:none;
}


/*************************************************************
 
--------------------- Elementor Skins ------------------------
 
**************************************************************/  


/* -- ***** Post List
 ---------------------------------------------------------------*/ 

.elementor-posts-list-container.elementor-posts-container {
    display: flex !important;
    flex-direction: column !important;
    gap: 20px !important;
}


.elementor-posts-list-container.elementor-posts-container .elementor-post__thumbnail {
    padding-bottom: 0 !important;
}

.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item {
    display: flex;
    padding-bottom: 20px;
}


.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__content {
    display: flex;
    gap: 20px;
}


.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__thumbnail img {
    width: 640px;
    height: auto;
    border-radius: 12px;
    
    height: initial;      
    position: relative;     
    top: auto;              
    left: auto;             
    transform: none;        
}


.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__text {
    flex: 1;
}



.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__category {
    color: #FF6D2D;
    display: block;
    margin-bottom: 8px;
}



.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__title {
    font-size: 20px;
    margin: 0 0 10px;
}


.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__title a {
    color: #000;
    text-decoration: none;
}


.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__excerpt {
    font-size: 16px;
    margin: 0 0 10px;
}


.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__read-more {
    color: #ff5a5f;
    text-decoration: none;
    font-weight: bold;
}

.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item  .elementor-post__read-more:hover {
    text-decoration: underline;
}

.elementor-posts-list-container.elementor-posts-container .elementor-post-list-item  .elementor-post__date {
    font-size: 14px;
    font-weight: bold;
    color: #B1B4B6;
    margin-top: 10px;
}


#btn-pagination-load-more .elementor-button-content-wrapper {
    position: relative;
    display: block;
}


#btn-pagination-load-more:after {
    content: '';
    background: url("/wp-content/themes/hello-theme-child/assets/images/frontend/arrow-load-more.svg") no-repeat;
    background-size: contain;
    display: block;
    width: 25px;
    height: 25px;
    text-align: center;
    margin: 6px auto;
}

.e-load-more-pagination-loading #btn-pagination-load-more:after {
    display: none;
}


.featured-carousel .swiper-slide .elementor-widget-container img {
    border-bottom-left-radius: 30px;
    border-top-left-radius: 30px;
}



@media (max-width: 767px) {



    .elementor-posts-list-container.elementor-posts-container {
        display: block !important;
    }
    
    
    .elementor-posts-list-container.elementor-posts-container .elementor-post-list-item {
        display: block;
        padding-bottom: 70px;
    }
    
    .elementor-posts-list-container.elementor-posts-container .elementor-post-list-item:last-child {
        padding-bottom: 0;
    }
    
    
    .elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__content {
        display: block;
    }
    
    .elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__thumbnail img {
        width: 100%;
    }
    
    
    .elementor-posts-list-container.elementor-posts-container .elementor-post-list-item .elementor-post__category {
        margin-bottom: 0px;
        margin-top: -29px;
    }
    
    .featured-carousel .swiper-slide .elementor-widget-container img {
        border-top-right-radius: 30px;
        border-top-left-radius: 30px;
    }
     
} /*767*/


/*************************************************************
 
--------------------------- Utils ----------------------------
 
**************************************************************/  


@-webkit-keyframes downAndUp {
  0% {
    -webkit-transform: translateY(-10px);
            transform: translateY(-10px);
  }
  50% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-10px);
            transform: translateY(-10px);
  }
}

@-moz-keyframes downAndUp {
  0% {
    -moz-transform: translateY(-10px);
         transform: translateY(-10px);
  }
  50% {
    -moz-transform: translateY(0);
         transform: translateY(0);
  }
  100% {
    -moz-transform: translateY(-10px);
         transform: translateY(-10px);
  }
}

@-o-keyframes downAndUp {
  0% {
    -o-transform: translateY(-10px);
       transform: translateY(-10px);
  }
  50% {
    -o-transform: translateY(0);
       transform: translateY(0);
  }
  100% {
    -o-transform: translateY(-10px);
       transform: translateY(-10px);
  }
}

@keyframes downAndUp {
  0% {
    -webkit-transform: translateY(-10px);
       -moz-transform: translateY(-10px);
        -o-transform: translateY(-10px);
           transform: translateY(-10px);
  }
  50% {
    -webkit-transform: translateY(0);
       -moz-transform: translateY(0);
        -o-transform: translateY(0);
           transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-10px);
       -moz-transform: translateY(-10px);
        -o-transform: translateY(-10px);
           transform: translateY(-10px);
  }
}


@keyframes pulse-ring {
    0% {
        transform: scale(0.33);
        opacity: 1;
    }
    80%, 100% {
        transform: scale(0.9);
        opacity: 0;
    }
}



.hero-banner-arrow-anim {
  display: inline-block;
  -webkit-animation: downAndUp 2s infinite;
     -moz-animation: downAndUp 2s infinite;
      -o-animation: downAndUp 2s infinite;
         animation: downAndUp 2s infinite;
}





body:not('.elementor-editor-active') .disable-pointer-events {
    pointer-events: none;
}




@media (max-width: 767px) {


    .hide-mobile-br br {
        display:none;
    }

    
} /*767*/
